﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="WebFormGrid.aspx.cs" Inherits="jqGrid_JSON_WebService_Sample.WebFormGrid" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <link href="/Content/smoothness/jquery-ui-1.8.17.custom.css" rel="stylesheet" type="text/css" />
    <link href="/Content/Site.css" rel="stylesheet" type="text/css" />
    <script src="/Scripts/jquery-1.7.1.min.js" type="text/javascript"></script>
    <script src="/Scripts/jquery-ui-1.8.11.min.js" type="text/javascript"></script>
    <link href="/Content/ui.jqgrid.css" rel="stylesheet" type="text/css" />
    <script src="/Scripts/i18n/grid.locale-en.js" type="text/javascript"></script>
    <script src="/Scripts/jquery.jqGrid.min.js" type="text/javascript"></script>
    <script type="text/javascript">
        $(function ()
        {
            $("#list #grid").jqGrid(
            {
                url: '/Services/WebServiceGrid.asmx/Grid',
                mtype: 'POST',
                ajaxGridOptions: { contentType: 'application/json; charset=utf-8' },
                serializeGridData: function (postData)
                {
                    if (postData.searchField === undefined) postData.searchField = null;
                    if (postData.searchString === undefined) postData.searchString = null;
                    if (postData.searchOper === undefined) postData.searchOper = null;
                    return JSON.stringify(postData);
                },
                jsonReader:
                {
                    root: "d.rows",
                    page: "d.page",
                    total: "d.total",
                    records: "d.records"
                },
                datatype: "json",
                colNames:
                [
                    'IssueID',
                    'Title',
                    'Description',
                    'Progress',
                    'CreateTime',
                    'Locked'
                ],
                colModel:
                [
                    { name: 'IssueID', width: 100, index: 'IssueID' },
                    { name: 'Title', width: 100, index: 'Title' },
                    { name: 'Description', width: 300, index: 'Description' },
                    { name: 'Progress', width: 150, index: 'Progress' },
                    { name: 'CreateTime', width: 100, index: 'CreateTime', formatter:'date',  sorttype:'datetime', datefmt:'M d h:i' },
                    { name: 'Locked', width: 100, index: 'Locked' }
                ],
                rowNum: 10,
                rowList: [10, 15, 20, 25, 40],
                pager: '#pager',
                viewrecords: true,
                sortorder: "desc",
                width: 900,
                height: 240,
            });

            $("#list #grid").jqGrid('navGrid', '#pager', { edit: false, add: false, del: false });
        });
</script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div id="list">
    <table id="grid">
    </table>
    <div id="pager">
    </div>
</asp:Content>
